commit 8b06c62ae48b67b320f7420dcd4854c5559e1532
Author: Anthony Liguori <aliguori@us.ibm.com>
Date:   Tue Mar 15 11:22:12 2011 -0500

    seabios: update to latest git
    
     - cc97564 Add config option to permit running option roms with bad checksums.
     - 424f217 Add config option to disable MTRR initialization.
     - fb2f10d Prep version for next release.
     - f18b09b Update version to 0.6.2
     - 20fcf9b lets pretend that RTC can be used to wakeup from S4
     - 1efb10b Expand user configurable parameters in Kconfig.
     - 3dba4c2 Support non-local build directory - allow "make OUT=abc/" to work.
     - 42d9771 The vgabios build must depend on autoconf.h.
     - 32aa9f3 fix parallel compilation of SeaBIOS
     - 713be89 Start using Kconfig to configure SeaBIOS settings.
     - b623e7c Change kconfig to emit disabled symbols in autoconf.h.
     - 0da7bfd Build changes for Linux kconfig code to work in seabios dir structure.
     - a4c5daf Initial commit of Kconfig build tool.
     - 4d0c592 Minor boot fixes.
     - 812478e Minor comment / code layout improvement to romlayout.S.
     - 6fc7cf1 Fix to prevent infinite loop in build_pci_path().
     - f5154e2 support T13 EDD3.0 spec
     - d08eb9c Add ability to track PCI paths and add to build_pci_path().
     - 89a1efd Move the CBFS payload setup to later in the boot.
     - 9e881a3 Extract space trimming code from ATA and use in USB and bootorder code.
     - 3c241ed seabios: acpi: add _RMV control method for PCI devices
     - c2002a1 Add support for finding the boot priority of USB drives.
     - a5f2b91 Extend 'usb_pipe' to track the controller and ports of each device.
     - 8bf5503 Add functions for boot device path parsing.
     - c4bd3b9 Use bootprio_find_named_rom() for ramdisk and cbfs payload priorities.
     - ca2bc1c Remove drive->desc field.
     - f13a180 Minor reorganization of some of the boot_xxx code in boot.c.
     - 3da2c1c Move IPL.fw_bootorder to static variables in boot.c.
     - 7bb1584 Move IPL.bev to static variables in boot.c
     - baaadb6 Move IPL.checkfloppysig to a global (CheckFloppySig) in boot.c.
     - a0842f8 Remove Drives global struct in favor of independent global variables.
     - ecbcf77 Don't access drive_g->desc from boot_cdrom().
     - 551caa2 Simplify keyboard reading code in the interactive boot menu.
     - 697e63c Call setup_translation() from map_hd_drive().
     - 3c5e0e1 Rename add_ordered_drive() to add_drive() and use in map_hd_drive().
     - 031ef55 Add stubs to permit devices to specify their boot priority.
     - 72eee3e Simplify boot ordering by building an inclusive boot list.
     - ce24be5 Populate drive_g->desc prior to calling add_bcv_internal().
     - 74fd942 pciinit: fix off-by-one
     - 311f887 Minor build fixes.
     - bca3a87 Track the source of each optionrom deployed.
     - c6629e0 Support qemu based romfile wrappers called out of order.
     - d1a1746 Breakup boot_setup() bootorder code into its own function.
     - f9b0930 Add romfile_loadfile() helper function.
     - b9a7591 Read bootorder file into memory.
     - 2e109a6 Add strchr() function.
     - 1703ea2 Add romfile_name() function.
     - b674152 Add BAID for ahci cdrom.
     - f77e179 Provide full EDD 3.0 info for virtio disk
     - 67863be Enhance layoutrom.py to work around a binutils quirk.
     - 4c90a20 Create separate IPL entry for each CD/DVD
     - 0e6f636 ahci: set controller id
     - 1e924bb ahci: fix off-by-one in port count
     - 7eb0222 ahci: enable io/mem/dma
     - c19fc71 ahci: set dma feature flag
     - 80c2b6e Check if capability enabled in XXX_cmd_data functions.
     - f3fe3aa Require a "_cfuncXX_" symbol prefix for inter-mode c function references.
     - d52fdf6 add ahci support
     - 54fa8ec ata: make helpers available
     - 0a80608 util: add memset_fl()
     - f1f18eb pci: add helper functions for mmio bar access from real mode.
     - af9629b Enhance call32() to pass a parameter to called function.
     - 4057f98 Don't pass return address to transition(32,16,16big) on stack.
     - e2623fc pciinit: use pci_region functions.
     - 58a38e8 pci: introduce pci_region to manage pci io/memory/prefmemory regions.
     - 6d5a217 mark irq9 active high in DSDT
     - 9433098 Report meaningful error if pyserial not present in tools/readserial.py
     - 94dc9c4 Show size of non-relocatable runtime code during build.
     - 4d96edc Cleanup - it's no longer necessary to manually reset global variables.
     - a899945 Allow rom to grow to 256K.
     - 4a446d7 Fix typo preventing relocated space from being used for option roms.
     - 0f67397 fix virtio-blk failure after reboot
     - d4bded4 Add a debug method to AML code.
     - 2f96800 Warn that ohci bulk is not supported.
     - e826465 Enable optionroms to use freed space due to CONFIG_RELOCATE_INIT.
     - 7f55fd3 Move the 32bit init code to high memory at runtime.
     - 025cabd Move init code from _start() to post().
     - 12fa24a Add memalign_tmp() helper function.
     - 244caf8 Try to hard-reboot on rerun of post even on emulators.
     - 5bd01de Don't do shadow copying of optionroms when CONFIG_OPTIONROMS_DEPLOYED.
     - adaf373 Try to hard-reboot processor on rerun of post under coreboot.
     - 402fd9c Enhance build to emit relocation information.
     - d1b4f96 Separate out init code from the rest of the 32bit flat code.
     - 1a4885e Modify tools/layoutrom.py to use classes instead of tuples.
     - 6c2e781 Use str.startswith() in python scripts.
     - d9c916e Prep version for next release.
    
    Signed-off-by: Anthony Liguori <aliguori@us.ibm.com>

diff --git a/pc-bios/bios.bin b/pc-bios/bios.bin
index e191908..bdb4831 100644
Binary files a/pc-bios/bios.bin and b/pc-bios/bios.bin differ
diff --git a/roms/seabios b/roms/seabios
index 06d0bdd..cc97564 160000
--- a/roms/seabios
+++ b/roms/seabios
@@ -1 +1 @@
-Subproject commit 06d0bdd9e2e20377b3180e4986b14c8549b393e4
+Subproject commit cc975646af69f279396d4d5e1379ac6af80ee637
